<?php
defined( 'IN_WEB') or die( 'Include Error!');
class Card{
    /**
     * 获得卡片信息-1.3.7 改版
     * @param $param
     * @return false|string
     * Created by: Owen
     * Created on: 2020/3/24 19:11
     */
    public function info($param){
        $uid = oo::functions()->uint($param['uid']);
        if(empty($uid)){
            return oo::response(-1);
        }
        return oo::commonOprModel('card')->info($uid);
    }

    /**
     * 小丑卡兑换
     * @param $param
     * @return string
     * Created by: Owen
     * Created on: 2020/6/11 18:06
     */
    public function jokerExchange($param){
        $uid = oo::functions()->uint($param['uid']);
        $cid = oo::functions()->uint($param['cid']);
        if(empty($uid) || empty($cid)){
            return oo::response(-1);
        }
        return oo::commonOprModel('card')->jokerExchange($uid,$cid);
    }

}
?>